from django.urls import path

from .views import (
    CustomTokenCreateView,
    EmailVerificationView,
    LogoutView,
    PasswordChangeView,
    PasswordResetConfirmView,
    PasswordResetRequestView,
    UpdateProfileView,
    UserAccountView,
    UserRegistrationView,
)

app_name = 'user'

urlpatterns = [
    # Custom Authentication
    path('auth/jwt/create/', CustomTokenCreateView.as_view(), name='jwt-create'),
    path('auth/register/', UserRegistrationView.as_view(), name='register'),
    path('auth/logout/', LogoutView.as_view(), name='logout'),
    
    #Email Verification
    path('auth/verify-email/', EmailVerificationView.as_view(), name='verify-email'),
    
    # Password Reset
    path('auth/password-reset/', PasswordResetRequestView.as_view(), name='password-reset-request'),
    path('auth/password-reset-confirm/', PasswordResetConfirmView.as_view(), name='password-reset-confirm'),
    
    # Dashboard API
    path('dashboard/profile/', UserAccountView.as_view(), name='user-profile'),
    path('dashboard/update-profile/', UpdateProfileView.as_view(), name='update-profile'),
    path('dashboard/change-password/', PasswordChangeView.as_view(), name='change-password'),
]
